<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFFieldRun (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFFieldRun (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFFieldRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFactory.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFFieldRun.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFFieldRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFRun">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFFieldRun" class="title">Class XWPFFieldRun</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                       title="class in org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel.XWPFRun</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFFieldRun</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html"
                           title="interface in org.apache.poi.wp.usermodel">CharacterRun</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/IRunElement.html"
                            title="interface in org.apache.poi.xwpf.usermodel">IRunElement</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ISDTContents</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFFieldRun</span>
extends <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
           title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a></pre>
                <div class="block">A run of text which is part of a field, such as Title
                    of Page number or Author.
                    Any given Field may be made up of multiple of these.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFRun">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a></h3>
                                <code><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.FontCharRange.html"
                                         title="enum in org.apache.poi.xwpf.usermodel">XWPFRun.FontCharRange</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html#XWPFFieldRun-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR-org.apache.poi.xwpf.usermodel.IRunBody-">XWPFFieldRun</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField&nbsp;field,
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR&nbsp;run,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/IRunBody.html"
                                       title="interface in org.apache.poi.xwpf.usermodel">IRunBody</a>&nbsp;p)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html#getCTField--">getCTField</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html#getFieldInstruction--">getFieldInstruction</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFieldRun.html#setFieldInstruction-java.lang.String-">setFieldInstruction</a></span>(java.lang.String&nbsp;instruction)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFRun">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a></h3>
                                <code><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addBreak--">addBreak</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addBreak-org.apache.poi.xwpf.usermodel.BreakClear-">addBreak</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addBreak-org.apache.poi.xwpf.usermodel.BreakType-">addBreak</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addCarriageReturn--">addCarriageReturn</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addChart-java.lang.String-">addChart</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addPicture-java.io.InputStream-int-java.lang.String-int-int-">addPicture</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#addTab--">addTab</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getCharacterSpacing--">getCharacterSpacing</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getColor--">getColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getCTR--">getCTR</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getEmbeddedPictures--">getEmbeddedPictures</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getEmphasisMark--">getEmphasisMark</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getFontFamily--">getFontFamily</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getFontFamily-org.apache.poi.xwpf.usermodel.XWPFRun.FontCharRange-">getFontFamily</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getFontName--">getFontName</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getFontSize--">getFontSize</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getKerning--">getKerning</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getLang--">getLang</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getParagraph--">getParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getPhonetic--">getPhonetic</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getPictureText--">getPictureText</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getSubscript--">getSubscript</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getText-int-">getText</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getTextHightlightColor--">getTextHightlightColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getTextPosition--">getTextPosition</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getTextScale--">getTextScale</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getUnderline--">getUnderline</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getUnderlineColor--">getUnderlineColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getUnderlineThemeColor--">getUnderlineThemeColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#getVerticalAlignment--">getVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isBold--">isBold</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isCapitalized--">isCapitalized</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isDoubleStrikeThrough--">isDoubleStrikeThrough</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isEmbossed--">isEmbossed</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isHighlighted--">isHighlighted</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isImprinted--">isImprinted</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isItalic--">isItalic</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isShadowed--">isShadowed</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isSmallCaps--">isSmallCaps</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isStrike--">isStrike</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isStrikeThrough--">isStrikeThrough</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#isVanish--">isVanish</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#removeBreak--">removeBreak</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#removeCarriageReturn--">removeCarriageReturn</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#removeTab--">removeTab</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setBold-boolean-">setBold</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setCapitalized-boolean-">setCapitalized</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setCharacterSpacing-int-">setCharacterSpacing</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setColor-java.lang.String-">setColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setDoubleStrikethrough-boolean-">setDoubleStrikethrough</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setEmbossed-boolean-">setEmbossed</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setEmphasisMark-java.lang.String-">setEmphasisMark</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setFontFamily-java.lang.String-">setFontFamily</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setFontFamily-java.lang.String-org.apache.poi.xwpf.usermodel.XWPFRun.FontCharRange-">setFontFamily</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setFontSize-int-">setFontSize</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setImprinted-boolean-">setImprinted</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setItalic-boolean-">setItalic</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setKerning-int-">setKerning</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setShadow-boolean-">setShadow</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setSmallCaps-boolean-">setSmallCaps</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setStrike-boolean-">setStrike</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setStrikeThrough-boolean-">setStrikeThrough</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setStyle-java.lang.String-">setStyle</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setSubscript-org.apache.poi.xwpf.usermodel.VerticalAlign-">setSubscript</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setText-java.lang.String-">setText</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setText-java.lang.String-int-">setText</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setTextHighlightColor-java.lang.String-">setTextHighlightColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setTextPosition-int-">setTextPosition</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setTextScale-int-">setTextScale</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setUnderline-org.apache.poi.xwpf.usermodel.UnderlinePatterns-">setUnderline</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setUnderlineColor-java.lang.String-">setUnderlineColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setUnderlineThemeColor-java.lang.String-">setUnderlineThemeColor</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setVanish-boolean-">setVanish</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#setVerticalAlignment-java.lang.String-">setVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#text--">text</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFFieldRun-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR-org.apache.poi.xwpf.usermodel.IRunBody-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFFieldRun</h4>
                                <pre>public&nbsp;XWPFFieldRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField&nbsp;field,
                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR&nbsp;run,
                    <a href="../../../../../org/apache/poi/xwpf/usermodel/IRunBody.html"
                       title="interface in org.apache.poi.xwpf.usermodel">IRunBody</a>&nbsp;p)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCTField--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTField</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField&nbsp;getCTField()</pre>
                            </li>
                        </ul>
                        <a name="getFieldInstruction--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFieldInstruction</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFieldInstruction()</pre>
                            </li>
                        </ul>
                        <a name="setFieldInstruction-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setFieldInstruction</h4>
                                <pre>public&nbsp;void&nbsp;setFieldInstruction(java.lang.String&nbsp;instruction)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFFieldRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFactory.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFFieldRun.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFFieldRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFRun">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
